Subject: Re: [PATCH] ASoC: Intel: avs: replace strcmp with sysfs_streq

From: Brahmajit Das <[email-masked]>
Date: Tue, 30 Dec 2025 13:29:08 +0530

On 29.12.2025 11:03, Cezary Rojewski wrote:
> On 2025-12-24 12:35 PM, Mark Brown wrote:
> > On Wed, Dec 24, 2025 at 11:05:56AM +0100, Takashi Iwai wrote:
> > 
> > > I believe it's a false positive, too.
> > > Or is it about potentially unterminated strings?
> > 
> > Regardless of the warning being spurious or not the cleanup seems like a
> > sensible one.
> 
> Right now I leaning towards Amadeusz' opinion - looks like we're masking an
> issue. id->tplg_name is being used in strcmp() context few times in this
> file yet compiler complains about one particular location.
> 
> gcc-16 is quite recent. It's good that we get the kernel building but after
> the Christmas break some digging may be in order : )
> 
> 
> Brahmajit,
> 
> While I'm sure you did, just to be sure - did you try clean-rebuild with the
> 44-hardcode proposed by Amadeusz? We wouldn't want any old-artifacts to get
> in the way.

Hi Cezary,

Yes, I did make clean and make allmodconfig after reverting my changes
and hardcoding 44 as Amadeusz suggested.

-- 
Regards,
listout